JANINOC(1)

NAME
Janino - a runtime Java Compiler.

SYNOPSIS
janinoc [options] source-file ...

DESCRIPTION

Janino is a compiler that reads a Java expression, block, class body, source file or a set of source files, and generates Java bytecode that is loaded and executed directly. Janino is not intended to be a development tool, but an embedded compiler for run-time compilation purposes, e.g. expression evaluators or "server pages" engines like JSP.

janinoc is a front-end that compiles all specified input files.

OPTIONS

-d output-dir Where to save class files

-sourcepath dirlist, -extdirs dirlist, -bootclasspath dirlist
    Where to look for other source files

-encoding encoding
    Encoding of source files, e.g. "UTF-8" or "ISO-8859-1"

-verbose
    More output.

-g [none|{lines,vars,source}]
    Generate all, no, or only some debugging info.

-warn:pattern-list
    Issue certain warnings, examples:
    	-warn:*		All warnings
    	-warn:IASF	Only warn against implicit access to static fields
    	-warn:*-IASF	Enables all warnings, except those against implicit access to static fields
    	-warn:*-IA*+IASF Enables all warnings, except those against implicit accesses, but do warn against implicit access to static fields

-rebuild
    Compile all source files, even if the class files seems up-to-date

-help
    Prints a help message

AUTHORS
The Janino Team http://janino.net/
Arno Unkrig <aunkrig@codehaus.org>